public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/proj/guru:master commit in: dev-dotnet/dotnet-sdk-bin-common/, dev-dotnet/dotnet-sdk-bin-common/files/
@ 2021-04-30 19:47 Andrew Ammerlaan
  0 siblings, 0 replies; only message in thread
From: Andrew Ammerlaan @ 2021-04-30 19:47 UTC (permalink / raw
  To: gentoo-commits

commit:     37017369d43fe830c8e9802aafbf0f83d8f82bc9
Author:     Theo Anderson <telans <AT> posteo <DOT> de>
AuthorDate: Fri Apr 30 11:17:43 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Fri Apr 30 11:18:00 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=37017369

dev-dotnet/dotnet-sdk-bin-common: initial import

Signed-off-by: Theo Anderson <telans <AT> posteo.de>

 dev-dotnet/dotnet-sdk-bin-common/Manifest          |  3 ++
 .../dotnet-sdk-bin-common-5.0.202.ebuild           | 52 ++++++++++++++++++++++
 dev-dotnet/dotnet-sdk-bin-common/files/80dotnet    |  2 +
 dev-dotnet/dotnet-sdk-bin-common/metadata.xml      |  8 ++++
 4 files changed, 65 insertions(+)

diff --git a/dev-dotnet/dotnet-sdk-bin-common/Manifest b/dev-dotnet/dotnet-sdk-bin-common/Manifest
new file mode 100644
index 000000000..fed144e93
--- /dev/null
+++ b/dev-dotnet/dotnet-sdk-bin-common/Manifest
@@ -0,0 +1,3 @@
+DIST dotnet-sdk-5.0.202-linux-arm.tar.gz 136556882 BLAKE2B b56fd9e28fae720ebc3e667820f7cb37afdf7353688a3595f3f42ad9f2980c7bc0cbfe886efa66da25c6bbf7f69d5401880ac589669ab4576e32b4fb61bdbc61 SHA512 ac363bbc163100e49b2ad43dfded9bdd3444980d9dca1b51bcd65d6fab73a5fc2251f094fd5e6fa1c1c877251b2f26c684023c0e1b09d1956b9bb543f72c4f0b
+DIST dotnet-sdk-5.0.202-linux-arm64.tar.gz 134677034 BLAKE2B 059cf0db945d801c17563f72adc22c8f9ed68e510f43995ac4c36b1e28239a90eccf45d467c4d7ab0587b76f12794d241aa32174ba7fe626a0d003d446007dd8 SHA512 26ec125a0637e71acad20386474df89a101e9ae948921b5de0cd343f4bc0e84b4e7b2318e15978723eb3b9d321e89b790c3f0424a43c29b0015fc6f2b9e3e9d9
+DIST dotnet-sdk-5.0.202-linux-x64.tar.gz 140180468 BLAKE2B cbdc6ff24baff47dead2f6e2cc46b11527630a4481dbea2241c205bfd065032a97e9367678d1f0520ea2858f87f2f1f0f5d4872e8c442b375b1c09efae6cc596 SHA512 01ed59f236184987405673d24940d55ce29d830e7dbbc19556fdc03893039e6046712de6f901dc9911047a0dee4fd15319b7e94f8a31df6b981fa35bd93d9838

diff --git a/dev-dotnet/dotnet-sdk-bin-common/dotnet-sdk-bin-common-5.0.202.ebuild b/dev-dotnet/dotnet-sdk-bin-common/dotnet-sdk-bin-common-5.0.202.ebuild
new file mode 100644
index 000000000..11ad56047
--- /dev/null
+++ b/dev-dotnet/dotnet-sdk-bin-common/dotnet-sdk-bin-common-5.0.202.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Common files shared between multiple slots of .NET"
+HOMEPAGE="https://dotnet.microsoft.com/"
+SRC_URI="
+	amd64? ( https://dotnetcli.azureedge.net/dotnet/Sdk/${PV}/dotnet-sdk-${PV}-linux-x64.tar.gz )
+	arm? ( https://dotnetcli.azureedge.net/dotnet/Sdk/${PV}/dotnet-sdk-${PV}-linux-arm.tar.gz )
+	arm64? ( https://dotnetcli.azureedge.net/dotnet/Sdk/${PV}/dotnet-sdk-${PV}-linux-arm64.tar.gz )
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64"
+
+# The SDK includes dotnet-runtime-bin and dotnet-aspnet-bin,
+#  so prevent installing them at the same time
+RDEPEND="
+	!dev-dotnet/dotnet-aspnet-bin
+	!dev-dotnet/dotnet-runtime-bin
+	~dev-dotnet/dotnet-sdk-bin-${PV}
+"
+
+QA_PREBUILT="*"
+
+S="${WORKDIR}"
+
+src_prepare() {
+	# For current .NET versions, all the directories contain versioned files,
+	# but the top-level files (the dotnet binary for example) are shared between versions,
+	# and those are backward-compatible.
+	# The exception from this above rule is packs/NETStandard.Library.Ref which is shared between >=3.0 versions.
+	# These common files are installed by the non-slotted dev-dotnet/dotnet-sdk-bin-common
+	# package, while the directories are installed by dev-dotnet/dotnet-sdk-bin which uses
+	# slots depending on major .NET version.
+	# This makes it possible to install multiple major versions at the same time.
+	default
+
+	# Skip the versioned files (which are located inside sub-directories)
+	find . -maxdepth 1 -type d ! -name . ! -name packs -exec rm -rf {} \; || die
+	find ./packs -maxdepth 1 -type d ! -name packs ! -name NETStandard.Library.Ref -exec rm -rf {} \; || die
+}
+
+src_install() {
+	insinto /opt/dotnet
+	doins -r "${S}/."
+	dosym ../../opt/dotnet/dotnet /usr/bin/dotnet
+	fperms +x /usr/bin/dotnet
+	doenvd "${FILESDIR}/80dotnet"
+}

diff --git a/dev-dotnet/dotnet-sdk-bin-common/files/80dotnet b/dev-dotnet/dotnet-sdk-bin-common/files/80dotnet
new file mode 100644
index 000000000..4cf0206ea
--- /dev/null
+++ b/dev-dotnet/dotnet-sdk-bin-common/files/80dotnet
@@ -0,0 +1,2 @@
+DOTNET_CLI_TELEMETRY_OPTOUT=1
+DOTNET_ROOT=/opt/dotnet

diff --git a/dev-dotnet/dotnet-sdk-bin-common/metadata.xml b/dev-dotnet/dotnet-sdk-bin-common/metadata.xml
new file mode 100644
index 000000000..17cfe1629
--- /dev/null
+++ b/dev-dotnet/dotnet-sdk-bin-common/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="project">
+		<email>telans@posteo.de</email>
+		<name>Theo Anderson</name>
+	</maintainer>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2021-04-30 19:47 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-04-30 19:47 [gentoo-commits] repo/proj/guru:master commit in: dev-dotnet/dotnet-sdk-bin-common/, dev-dotnet/dotnet-sdk-bin-common/files/ Andrew Ammerlaan

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox